View Issue Details

IDProjectCategoryView StatusLast Update
0000049FreeCADBugpublic2009-12-14 08:36
ReporterunauthenticatedAssigned Toyorik 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.8 
Target VersionFixed in Version0.10 
Summary0000049: Crash after drawing circle and extrude
DescriptionHi again,

following crash has been observed

TypeError: argument 1 must be Base.Vector, not None
<type 'exceptions.TypeError'>
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 2058, in action
    dist = fcgeo.findPerpendicular(point,self.edges)
  File "/usr/lib/freecad/Mod/Draft/draftlibs/fcgeo.py", line 421, in findPerpendicular
    dist = findDistance(point,edge,strict=True)
  File "/usr/lib/freecad/Mod/Draft/draftlibs/fcgeo.py", line 466, in findDistance
    newpoint = Vector.add(point, dist)
TypeError: argument 1 must be Base.Vector, not None
Pick start point:
Pick end point:
Pick start point:
Pick end point:
Running the Python command 'Draft_Circle' failed:
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1117, in Activated
    self.arctrack = arcTracker(axis=self.axis)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 501, in __init__
    self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation

Cannot find type information for requested typeIllegal storage access...


Please let me know if you need more info to peter@iring.sk

Best regards
Peter
TagsNo tags attached.

Activities

yorik

2009-12-10 20:48

administrator   ~0000046

Okay, I can reproduce this one. I'll have a look...

yorik

2009-12-11 22:00

administrator   ~0000047

fixed in r2725

Issue History

Date Modified Username Field Change
2009-12-10 18:34 unauthenticated New Issue
2009-12-10 19:23 Jriegel Status new => assigned
2009-12-10 19:23 Jriegel Assigned To => yorik
2009-12-10 20:48 yorik Note Added: 0000046
2009-12-11 22:00 yorik Note Added: 0000047
2009-12-11 22:00 yorik Status assigned => resolved
2009-12-11 22:00 yorik Fixed in Version => 0.10
2009-12-11 22:00 yorik Resolution open => fixed
2009-12-14 08:36 wmayer Status resolved => closed